Subject: Re: [PATCH 11/21] e1000: disable CRC stripping workaround

From: Ben Greear <[email-masked]>
Date: Wed, 21 Jun 2006 22:31:12 -0700

Kok, Auke wrote:
> CRC stripping is breaking SMBUS-connected BMC's. We disable this
> feature to make it work. This fixes related bugs regarding SOL.

Shouldn't you also have to subtract 4 bytes when setting the skb len
in the receive logic?  Perhaps when setting the rx-bytes counter as well?

Ben